Developer Documentation

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
OpenMesh::IO::_OBJReader_ Class Reference

`#include <OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OBJReader.hh>`

Inheritance diagram for OpenMesh::IO::_OBJReader_:

## Public Member Functions
std::string | get_description () const override
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const override
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt) override
bool | read (std::istream &_in, BaseImporter &_bi, Options &_opt) override
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.
virtual std::string | get_magic () const
| Return magic bits used to determine file format.
virtual bool | can_u_read (const std::string &_filename) const
| Returns true if writer can parse _filename (checks extension). _filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the reader can read the "om" extension. More...

## Private Types
typedef std::map< std::string, Material > | MaterialList

## Private Member Functions
bool | read_material (std::fstream &_in)
bool | read_vertices (std::istream &_in, BaseImporter &_bi, Options &_opt, std::vector< Vec3f > &normals, std::vector< Vec3f > &colors, std::vector< Vec3f > &texcoords3d, std::vector< Vec2f > &texcoords, std::vector< VertexHandle > &vertexHandles, Options &fileOptions)

## Private Attributes
MaterialList | materials_
std::string | path_

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the OBJ format reader.

Definition at line 82 of file OBJReader.hh.

## Member Function Documentation

## ◆ get_extensions()

std::string OpenMesh::IO::_OBJReader_::get_extensions | ( |  | ) | const
| inline override virtual

Returns a string with the accepted file extensions separated by a whitespace and in small caps.

Implements OpenMesh::IO::BaseReader.

Definition at line 91 of file OBJReader.hh.

## ◆ read() [1/2]

bool OpenMesh::IO::_OBJReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |
| override virtual

Reads a mesh given by a filename. Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

Definition at line 124 of file OBJReader.cc.

## ◆ read() [2/2]

bool OpenMesh::IO::_OBJReader_::read | ( | std::istream & | _is,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |
| override virtual

Reads a mesh given by a std::stream. This method usually uses the same stream reading method that read uses. Options can be passed via _opt. After execution _opt contains the Options that were available.

Please make sure that if _is is std::ifstream, the correct std::ios_base::openmode flags are set.

Implements OpenMesh::IO::BaseReader.

Definition at line 404 of file OBJReader.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OBJReader.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OBJReader.cc